org.apache.ignite.igfs

## Class IgfsOutOfSpaceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException
          - - org.apache.ignite.igfs.IgfsOutOfSpaceException

All Implemented Interfaces:
  Serializable

    public class IgfsOutOfSpaceException
    extends IgfsException

`IGFS` exception that is thrown when it detected out-of-space condition. It is thrown when number of writes written to a `IGFS` data nodes exceeds its maximum value (that is configured per-node).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsOutOfSpaceException(String msg)` Constructor.
`IgfsOutOfSpaceException(String msg, Throwable cause)` Constructor.
`IgfsOutOfSpaceException(Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsOutOfSpaceException

    public IgfsOutOfSpaceException(String msg)

Constructor.

Parameters:
  `msg` - Message.

#### IgfsOutOfSpaceException

    public IgfsOutOfSpaceException(Throwable cause)

Constructor.

Parameters:
  `cause` - Cause.

#### IgfsOutOfSpaceException

    public IgfsOutOfSpaceException(@Nullable
                           String msg,
                           @Nullable
                           Throwable cause)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017